Skip to main content
GET
/
analytics
/
dashboards
/
provider-performance
/
grouped
Get Provider Performance Grouped
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/provider-performance/grouped \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/analytics/dashboards/provider-performance/grouped"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/analytics/dashboards/provider-performance/grouped', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "groups": [
    {
      "key": "<string>",
      "label": "<string>",
      "count": 123,
      "summary": {
        "groupId": "<string>",
        "groupName": "<string>",
        "appointmentCount": 123,
        "serviceCount": 123,
        "totalValue": 123,
        "avgValue": 123,
        "onlinePct": 123,
        "cancelledPct": 123,
        "noShowPct": 123,
        "newPatientsCount": 123,
        "uniquePatientsCount": 123
      },
      "rows": [
        {
          "eventId": "<string>",
          "patientId": "<string>",
          "patientFirstName": "<string>",
          "patientLastName": "<string>",
          "serviceCount": 123,
          "totalValue": 123,
          "avgValue": 123,
          "isOnline": true,
          "isCancelled": true,
          "isNoShow": true,
          "isNewPatient": true,
          "cancellationReason": "<string>",
          "cancellationDate": "2023-11-07T05:31:56Z",
          "appointmentDate": "<string>",
          "appointmentStart": "2023-11-07T05:31:56Z",
          "appointmentEnd": "2023-11-07T05:31:56Z",
          "services": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "grandTotals": {
    "appointmentCount": 0,
    "serviceCount": 0,
    "totalValue": 0,
    "avgValue": 0,
    "onlinePct": 0,
    "cancelledPct": 0,
    "noShowPct": 0,
    "newPatientsCount": 0,
    "uniquePatientsCount": 0
  },
  "totalCount": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

timezone
string
required

Timezone for date grouping (e.g., 'America/New_York', 'UTC')

group_by
enum<string>
default:none
Available options:
provider,
location,
service,
date,
week,
month,
none
start_date
string | null
end_date
string | null
location_ids
string[] | null
provider_ids
string[] | null
service_ids
string[] | null
statuses
enum<string>[] | null
Available options:
PENDING,
RESERVED,
CONFIRMED,
CANCELLED,
COMPLETED,
OVERRIDABLE,
NO_SHOW
sort_by
enum<string> | null

Field to sort by

Available options:
name,
patientName,
serviceCount,
totalValue,
avgValue,
isOnline,
isCancelled,
isNoShow,
isNewPatient,
uniquePatients,
appointmentDate,
cancellationReason,
cancellationDate
sort_direction
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
patient_type
enum<string> | null

Filter by patient type: all, new (first appointment in range), or existing

Available options:
all,
new,
existing

Response

Successful Response

Response from the grouped endpoint.

groups
PerformanceGroup · object[]
required
grandTotals
GrandTotals · object
required

Grand totals across all data.

totalCount
integer
required